# $Revision: 1.11 $, $Date: 2007-12-25 22:22:18 $
Summary:	Library for reading PhotoCD images
Summary(pl.UTF-8):	Biblioteka do odczytu plików PhotoCD
Name:		libpcd
Version:	1.0.1
Release:	3
Epoch:		1
License:	GPL
Group:		Libraries
Source0:	http://bytesex.org/misc/%{name}_%{version}.tar.gz
# Source0-md5:	c9127a6aae3c7510498990d82bb0b68a
URL:		http://bytesex.org/libpcd.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for reading PhotoCD images.

%description -l pl.UTF-8
Biblioteka do odczytu plików PhotoCD.

%package devel
Summary:	libpcd header file
Summary(pl.UTF-8):	Plik nagłówkowy libpcd
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
libpcd header file.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libpcd.

%package static
Summary:	libpcd static library
Summary(pl.UTF-8):	Biblioteka statyczna libpcd
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of libpcd.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libpcd.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	libdir=%{_libdir} \
	CFLAGS="%{rpmcflags} \$(WARN)"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	prefix=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libpcd.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc pcd.css pcd.html
%attr(755,root,root) %{_libdir}/libpcd.so
%{_includedir}/pcd.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpcd.spec,v $
Revision 1.11  2007-12-25 22:22:18  glen
- rel 3

Revision 1.10  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.8  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.7  2004/01/08 11:59:28  jajcus
- Release: 2
- AMD64 fixes

Revision 1.6  2003/09/30 14:09:32  qboosh
- use name macro in subpackage deps

Revision 1.5  2003/09/25 20:45:51  djurban
- fix reqs

Revision 1.4  2003/07/24 07:19:40  adamg
- updated to 1.0.1

Revision 1.3  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:49:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/09 23:44:56  qboosh
- new - now separate from xpcd
